// Sondertasten-Keyboard für die auf kontinentaleuropäischen Tastaturen nur
// umständlich zu erreichenden Tasten { } [ ] | \ /

// Die Grundzeichen werden zusammen mit dem Modifier für die Alt-Gr-Taste gesendet:
// VUSB_Keyboard.sendKeyStroke(36,MOD_ALT_RIGHT);

// Die Grundzeichen sind nicht in ASCII codiert; hier einige Beispiele:
// a    4
// z    29
// 1    30
// 9    38
// 0    39
// -    45
// +    48
// <    100

// Man muss das Zeichen senden, das die Taste auf einer US-Tastatur erzeugt!


#include "VUSB_Keyboard.h"


void setup() {
  pinMode (2, INPUT_PULLUP);
  pinMode (3, INPUT_PULLUP);
  pinMode(4, INPUT_PULLUP);
  pinMode (5, INPUT_PULLUP);
  pinMode (6, INPUT_PULLUP);
  pinMode(7, INPUT_PULLUP);
  pinMode(8, INPUT_PULLUP);
}


void loop() {
  // this is generally not necessary but with some older systems it seems to
  // prevent missing the first character after a delay:
  VUSB_Keyboard.sendKeyStroke(0);

  if (digitalRead(2) == 0) {  
      VUSB_Keyboard.sendKeyStroke(36,MOD_ALT_RIGHT);    // Zeichen {
  }                        
  if (digitalRead(3) == 0) {  
      VUSB_Keyboard.sendKeyStroke(39,MOD_ALT_RIGHT);    // Zeichen }
  }
  if (digitalRead(4) == 0) {  
      VUSB_Keyboard.sendKeyStroke(37,MOD_ALT_RIGHT);    // Zeichen [
  }
  if (digitalRead(5) == 0) {  
      VUSB_Keyboard.sendKeyStroke(38,MOD_ALT_RIGHT);    // Zeichen ]
  } 
  if (digitalRead(6) == 0) {  
      VUSB_Keyboard.sendKeyStroke(100,MOD_ALT_RIGHT);   // Zeichen |
  }
  if (digitalRead(7) == 0) {  
      VUSB_Keyboard.sendKeyStroke(45,MOD_ALT_RIGHT);    // Zeichen \
  } 
  if (digitalRead(8) == 0) {  
      VUSB_Keyboard.sendKeyStroke(48,MOD_ALT_RIGHT);  // Zeichen ~
  }
   VUSB_Keyboard.delay(300);
}
